DNS API-Referenz
v1.10.0
Get DNS record
Retrieve details about a specific Resource Record (
rrid).GET
/dns/rr/{rrid}
ResourceRecordsByID
Authentifizierung
Parameter
Name
Typ
Format
Pflicht
Description
rrid
number
-
Pflicht
Resource Record ID
Request-Beispiel
GET
curl --request GET \
--url 'https://api.regfish.com/dns/rr/1' \
--header 'x-api-key: YOUR_API_KEY'Responses
200
The record corresponding to the provided `rrid`
Response-Beispiel 200
{
"success": true,
"code": 0,
"response": {
"type": "A",
"name": "www.example.com.",
"data": "12.12.12.12",
"id": 1,
"auto": true,
"active": true,
"ts_created": 1,
"ts_updated": 1
}
}400
Invalid request
Response-Beispiel 400
{
"success": false,
"message": "Invalid request",
"error": "Invalid request"
}401
Unauthorized
Response-Beispiel 401
{
"success": false,
"message": "Unauthorized",
"error": "Unauthorized"
}404
DNS record not found
Response-Beispiel 404
{
"success": false,
"message": "DNS record not found",
"error": "DNS record not found"
}500
Unexpected error
Response-Beispiel 500
{
"success": false,
"message": "Unexpected error",
"error": "Unexpected error"
}Verwandte Modelle
A
A
AAAA
AAAA
ALIAS
ALIAS
baseResult
baseResult
CAA
CAA
CNAME
CNAME
Error
Error
fqdn
Fully Qualified Domain Name (FQDN, ending with a period).
fqdn_or_subdomain
Fully Qualified Domain Name (FQDN) or subdomain. You can use the `@` symbol to represent your apex domain (e.g., example.com). Wildcards are supported.
HINFOStored
A record of a type the API returns as stored but does not create or update (managed in the dash). `data` is the raw record data. Apex NS records are not part of the record list; see the nameserver endpoints.
ipv4
ipv4
ipv6
ipv6
MX
MX
NAPTRStored
A record of a type the API returns as stored but does not create or update (managed in the dash). `data` is the raw record data. Apex NS records are not part of the record list; see the nameserver endpoints.
NSStored
A record of a type the API returns as stored but does not create or update (managed in the dash). `data` is the raw record data. Apex NS records are not part of the record list; see the nameserver endpoints.
PTRStored
A record of a type the API returns as stored but does not create or update (managed in the dash). `data` is the raw record data. Apex NS records are not part of the record list; see the nameserver endpoints.
record
record
recordResponse
recordResponse
recordResponseAdditionalReqFQDN
recordResponseAdditionalReqFQDN
recordResponseAdditionalReqRRID
recordResponseAdditionalReqRRID
recordResponseAdditionalState
recordResponseAdditionalState
recordStored
A record of a type the API returns as stored but does not create or update (managed in the dash). `data` is the raw record data. Apex NS records are not part of the record list; see the nameserver endpoints.
recordTypeStored
recordTypeStored
RPStored
A record of a type the API returns as stored but does not create or update (managed in the dash). `data` is the raw record data. Apex NS records are not part of the record list; see the nameserver endpoints.
rrid
Resource Record ID
SRV
SRV
TLSA
TLSA
ttl
Time To Live in seconds (60-86400)
TXT
TXT
type
type
Community
Werden Sie ein Teil der Community
Das DNS API von regfish ist die perfekte Lösung für Entwickler, die ihre Domains und DNS-Zonen automatisieren möchten. Werden Sie Teil der Community und profitieren Sie von den Vorteilen der DNS-Automatisierung. Das DNS API steht jedem regfish-Kunden kostenlos zur Verfügung.